### Enumeration

# Gtk InputHints

#### Declaration

    flags Gtk.InputHints

#### Description [src]

Describes hints that might be taken into account by input methods or applications.

Note that input methods may already tailor their behaviour according to the `GtkInputPurpose` of the entry.

Some common sense is expected when using these flags - mixing `GTK_INPUT_HINT_LOWERCASE` with any of the uppercase hints makes no sense.

This enumeration may be extended in the future; input methods should ignore unknown values.

#### Members

Name | Description
--- | ---
`GTK_INPUT_HINT_NONE` | No special behaviour suggested.
`GTK_INPUT_HINT_SPELLCHECK` | Suggest checking for typos.
`GTK_INPUT_HINT_NO_SPELLCHECK` | Suggest not checking for typos.
`GTK_INPUT_HINT_WORD_COMPLETION` | Suggest word completion.
`GTK_INPUT_HINT_LOWERCASE` | Suggest to convert all text to lowercase.
`GTK_INPUT_HINT_UPPERCASE_CHARS` | Suggest to capitalize all text.
`GTK_INPUT_HINT_UPPERCASE_WORDS` | Suggest to capitalize the first character of each word.
`GTK_INPUT_HINT_UPPERCASE_SENTENCES` | Suggest to capitalize the first word of each sentence.
`GTK_INPUT_HINT_INHIBIT_OSK` | Suggest to not show an onscreen keyboard (e.g for a calculator that already has all the keys).
`GTK_INPUT_HINT_VERTICAL_WRITING` | The text is vertical.
`GTK_INPUT_HINT_EMOJI` | Suggest offering Emoji support.
`GTK_INPUT_HINT_NO_EMOJI` | Suggest not offering Emoji support.
`GTK_INPUT_HINT_PRIVATE` | Request that the input method should not update personalized data (like typing history).